function schema( ) % -*- mode: octave; -*-
% SCHEMA ndsm.epoch class definition function.
  unseen = 1;
  s = javaclasspath( '-dynamic' );
  for n = 1:size(s)
    if strcmp( s( n ), '@libdir@/java' )
      unseen = 0;
      break
    end
  end
  if unseen
    javaaddpath( '@libdir@' );
    javaaddpath( '@libdir@/java' );
  end
  NDS_MODEL = getenv( 'NDS_MODEL' );
  if isempty( NDS_MODEL )
    NDS_MODEL = 'nds';
  end

  % parent schema.class definition
  javaPackage = findpackage( 'javahandle' );
  javaClass = findclass( javaPackage, strcat( NDS_MODEL, '.epoch' ) );

  % class package (schema.package)
  epochPackage = findpackage( 'ndsm' );
  % class definition
  epochClass = schema.class( epochPackage, 'epoch', javaClass );

  %====================================================================
  % Overloaded methods
  %====================================================================
  %====================================================================
  % Extending methods
  %====================================================================
  % convert.m
  %--------------------------------------------------------------------
  m = schema.method( epochClass, 'convert' );
  s = m.Signature;
  s.varargin = 'off';
  s.InputTypes = { 'handle', 'ndsm.epoch' };
  s.OutputTypes = { 'ndsm.epoch' };
  %====================================================================
  % Define the class properties
  %====================================================================
  %====================================================================
  % Define the class events
  %====================================================================
  %schema.event( connClass, '' );
end
